
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>com组件安全 / iVAN</title>

    <meta name="description" content="com组件安全 问题描述 用.net写了一个com组件,但是在aspx通过以下代码调用时出现如下错误:ActiveX部件不能创建对象但是改了IE安全属性里的 对没有标记为安全的ActiveX组件 启用就好了请问组件该如何设置,不用改IE安全属性?? 解决方案 解决方案二:编写浏览器不弹出警告的ActiveX控件我们在编写ActiveX控件时,如果用在浏览器中,经常都会弹出现在运行的脚本不安全的提示,如果给客户使用,将会带来极大不便.按照MSDN的介绍通常有两种一种是实现IObjectSafe接口,一种是通过修改">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">com组件安全</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题描述</h2>
<p>用.net写了一个com组件，但是在aspx通过以下代码调用时出现如下错误：ActiveX部件不能创建对象但是改了ＩＥ安全属性里的　对没有标记为安全的ActiveX组件　启用就好了请问组件该如何设置，不用改ＩＥ安全属性？？<br />
<h2>解决方案</h2>
<p>解决方案二：<br />编写浏览器不弹出警告的ActiveX控件我们在编写ActiveX控件时，如果用在浏览器中，经常都会弹出现在运行的脚本不安全的提示，如果给客户使用，将会带来极大不便。按照MSDN的介绍通常有两种一种是实现IObjectSafe接口，一种是通过修改注册表的方法。一般如果用ATL开发ActiveX控件，就用实现IObjectSafe接口的方法。如果用MFC开发，我觉得还是用修改注册表的方法比较方便。下面我们将第二种方法：要包括两个文件#include"comcat.h"#include"Objsafe.h"//本控件的CLSID,注册表用constGUIDCDECLCLSID_SafeItem={0x7AE7497B,0xCAD8,0x4E66,{0xA5,0x8B,0xDD,0xE9,0xBC,0xAF,0x6B,0x61}};//版本控制constWORD_wVerMajor=1;//次版本号constWORD_wVerMinor=0;///////////////////////////////////////////////////////////////////////CICCardApp::InitInstance-DLLinitializationBOOLCICCardApp::InitInstance(){BOOLbInit=COleControlModule::InitInstance();if(bInit){}returnbInit;}////////////////////////////////////////////////////////////////////////CICCardApp::ExitInstance-DLLterminationintCICCardApp::ExitInstance(){returnCOleControlModule::ExitInstance();}////////////////////////////////////////////////////////////////////////创建组件种类HRESULTCreateComponentCategory(CATIDcatid,WCHAR*catDescription){ICatRegister*pcr=NULL;HRESULThr=S_OK;hr=CoCreateInstance(CLSID_StdComponentCategoriesMgr,NULL,CLSCTX_INPROC_SERVER,IID_ICatRegister,(void**)&amp;pcr);if(FAILED(hr))returnhr;//MakesuretheHKCRComponentCategories{..catid...}//keyisregistered.CATEGORYINFOcatinfo;catinfo.catid=catid;catinfo.lcid=0x0409;//english//Makesuretheprovideddescriptionisnottoolong.//Onlycopythefirst127charactersifitis.intlen=wcslen(catDescription);if(len&gt;127)len=127;wcsncpy(catinfo.szDescription,catDescription,len);//Makesurethedescriptionisnullterminated.catinfo.szDescription[len]=&#039;&#039;;hr=pcr-&gt;RegisterCategories(1,&amp;catinfo);pcr-&gt;Release();returnhr;}//注册组件种类HRESULTRegisterCLSIDInCategory(REFCLSIDclsid,CATIDcatid){//Registeryourcomponentcategoriesinformation.ICatRegister*pcr=NULL;HRESULThr=S_OK;hr=CoCreateInstance(CLSID_StdComponentCategoriesMgr,NULL,CLSCTX_INPROC_SERVER,IID_ICatRegister,(void**)&amp;pcr);if(SUCCEEDED(hr)){//Registerthiscategoryasbeing"implemented"bytheclass.CATIDrgcatid[1];rgcatid[0]=catid;hr=pcr-&gt;RegisterClassImplCategories(clsid,1,rgcatid);}if(pcr!=NULL)pcr-&gt;Release();returnhr;}//卸载组件种类HRESULTUnRegisterCLSIDInCategory(REFCLSIDclsid,CATIDcatid){ICatRegister*pcr=NULL;HRESULThr=S_OK;hr=CoCreateInstance(CLSID_StdComponentCategoriesMgr,NULL,CLSCTX_INPROC_SERVER,IID_ICatRegister,(void**)&amp;pcr);if(SUCCEEDED(hr)){//Unregisterthiscategoryasbeing"implemented"bytheclass.CATIDrgcatid[1];rgcatid[0]=catid;hr=pcr-&gt;UnRegisterClassImplCategories(clsid,1,rgcatid);}if(pcr!=NULL)pcr-&gt;Release();returnhr;}//DllRegisterServer-AddsentriestothesystemregistrySTDAPIDllRegisterServer(void){HRESULThr;AFX_MANAGE_STATE(_afxModuleAddrThis);if(!AfxOleRegisterTypeLib(AfxGetInstanceHandle(),_tlid))returnResultFromScode(SELFREG_E_TYPELIB);if(!COleObjectFactoryEx::UpdateRegistryAll(TRUE))returnResultFromScode(SELFREG_E_CLASS);//标记控件初始化安全.//创建初始化安全组件种类hr=CreateComponentCategory(CATID_SafeForInitializing,L"Controlssafelyinitializablefrompersistentdata!");if(FAILED(hr))returnhr;//注册初始化安全hr=RegisterCLSIDInCategory(CLSID_SafeItem,CATID_SafeForInitializing);if(FAILED(hr))returnhr;//标记控件脚本安全//创建脚本安全组件种类hr=CreateComponentCategory(CATID_SafeForScripting,L"Controlssafelyscriptable!");if(FAILED(hr))returnhr;//注册脚本安全组件种类hr=RegisterCLSIDInCategory(CLSID_SafeItem,CATID_SafeForScripting);if(FAILED(hr))returnhr;returnNOERROR;}////////////////////////////////////////////////////////////////////DllUnregisterServer-RemovesentriesfromthesystemregistrySTDAPIDllUnregisterServer(void){HRESULThr;AFX_MANAGE_STATE(_afxModuleAddrThis);if(!AfxOleUnregisterTypeLib(_tlid,_wVerMajor,_wVerMinor))returnResultFromScode(SELFREG_E_TYPELIB);if(!COleObjectFactoryEx::UpdateRegistryAll(FALSE))returnResultFromScode(SELFREG_E_CLASS);//删除控件初始化安全入口.hr=UnRegisterCLSIDInCategory(CLSID_SafeItem,CATID_SafeForInitializing);if(FAILED(hr))returnhr;//删除控件脚本安全入口hr=UnRegisterCLSIDInCategory(CLSID_SafeItem,CATID_SafeForScripting);if(FAILED(hr))returnhr;//////////////////////////returnNOERROR;}完。<br />解决方案三：<br />该回复于2008-05-09 11:17:58被版主删除</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:52:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>com组件安全的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDJrM7.html" rel="bookmark">Delphi中DBEdit组件的主要属性与使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Delphi的DBEdit组件位于组件板的Data Controls页上,用于编辑数据表当前记录某字段的值.DBEdit组件的主要属性与方法如下: 1.主要属性 (1)DataSource 用于选择数据源,使DBEdit组件通过数据源与数据表连接.当DBEdit通过数据源与数据表连接后,显示数据表的哪一个字段,则是由DataField字段决定的. (2)DataField 用于选择数据字段,如果DataField设置为TB0602,则DBEdit用于显示与编辑字段TB0602的值. DataSo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmLBMe.html" rel="bookmark">在Visual J&plus;&plus;中编写ASP COM组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				visual Java是一种以网络为中心的编程语言,许多只使用ASP脚本难以完成的任务可以用Java轻松地实现.同时,扩展ASP应用最好的方法莫过于加入COM组件.那么,可以利用Java为ASP开发组件吗?本文通过实例,说明了在Visual J++环境下开发COM组件的具体过程. 一.概述 自Java问世以来,各种开发工具.开发环境不断出现.这些环境和工具面向不同层次的用户,具有各自的优点.那么,使用Visual J++作为Java开发平台又有哪些优点呢?粗略地讲,这些优点包括: 熟悉的开发环境			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bB9kz7.html" rel="bookmark">电脑中如何移除火狐Firefox浏览器中不需要的组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  电脑中如何移除火狐Firefox浏览器中不需要的组件?我们知道在火狐Firefox浏览器中可以安装一些插件,来为浏览器增加更多功能.如果想要删除火狐浏览器中已经安装的不需要的组件,那么在电脑中具体应该如何操作呢?这时可以按照下面提供的方法步骤进行设置. 1.打开火狐Firefox浏览器,右击标题栏,勾选显示菜单栏; 2.点击菜单栏中的工具--附加组件; 3.打开附加组件管理器后,点击最左侧的组件小图标; 4.找到不需要使用的组件,点击右侧的&quot;移除&quot;按钮; 5.移除组件完成后,会显示			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2OZMd.html" rel="bookmark">JSP利用组件实现文件上传的全攻略</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|攻略|上传 一.首先下载jspsmartupload组件 http://dboy520.51.net/cgi-bin/newjavajia/downcount.php?id=22 (本站地址) http://www.jspsmart.com 二.将目录jspsmartupload/wib_inf/classes中的内容拷贝到网站所在的实际目录中的WEB-INF中(resin是这个目录,其他的可能是classes,具体请查阅jspsmartupload/help/setup.htm) 三.如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MY8Bby.html" rel="bookmark">jspSmartUpload上传组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|上传 一.安装篇 jspSmartUpload是由www.jspsmart.com网站开发的一个可免费使用的全功能的文件上传下载组件,适于嵌入执行上传下载操作的JSP文件中.该组件有以下几个特点: 1.使用简单.在JSP文件中仅仅书写三五行JAVA代码就可以搞定文件的上传或下载,方便. 2.能全程控制上传.利用jspSmartUpload组件提供的对象及其操作方法,可以获得全部上传文件的信息(包括文件名,大小,类型,扩展名,文件数据等),方便存取. 3.能对上传的文件在大小.类型等方面做出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGj2ep.html" rel="bookmark">JS表格组件神器bootstrap table详解（基础版）&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Bootstrap Table的引入 关于Bootstrap Table的引入,一般来说还是两种方法: 1.直接下载源码,添加到项目里面来. 由于Bootstrap Table是Bootstrap的一个组件,所以它是依赖Bootstrap的,我们首先需要添加Bootstrap的引用. 2.使用我们神奇的Nuget 打开Nuget,搜索这两个包 Bootstrap已经是最新的3.3.5了,我们直接安装即可. 而Bootstrap Table的版本竟然是0.4,这也太坑爹了.所以博主建议Boot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5Aomp.html" rel="bookmark">友推首创支持截屏涂鸦标记分享功能，社交分享组件又一玩家</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,国内新晋的移动应用组件服务提供商友推发布了新版本,宣布首创推出截屏涂鸦标记分享功能,通过截屏涂鸦标记功能,更方便用户间的沟通分享,通过在图片上的创作加工,产生更多有趣.有分享价值的内容. 在以往的分享过程中,很多用户会截图发送给好友,并根据图片上的信息跟好友讨论,有时为了方便好友能更清楚本人想表达的点,还会先打开图片编辑软件,用画笔标记后发送给对方,操作过程繁琐,十分不方便. 友推在截屏分享中更进一步,通过整合截屏及涂鸦标记编辑,缩短用户的操作流程,帮助用户更好地编辑.表达所分享的内容.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZO46b.html" rel="bookmark">编写自定义的 Android Preference 组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Android SDK 提供好几个 Preference 组件,例如 CheckBoxPreference.EditTextPreference.DialogPreference.ListPreference 等,这些组件是跟 Android 提供的 Preference 存储机制绑定的,你可以通过这些组件来修改应用的一些配置,如下图所示,这是 Android 自带的系统设置界面:   但这些组件毕竟还不能满足100%的要求,假设我们需要为应用程序提供一个选择不同图片做为应用背景图的设置,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM91LdM.html" rel="bookmark">Filter组件开发中的SDK基类分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DirectShow SDK提供了一套开发Filter的基类源代码.基于这些基类开发Filter将大大简化开发过程. 1.CBaseObject 大部分SDK类都从CBaseObject类(参见combase.h)中继承而来的. [cpp] view plaincopy class CBaseObject   {      private:          // Disable the copy constructor and assignment by default so you will			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnxGZb.html" rel="bookmark">Aspose&period;Slides for Java 2&period;8&period;2发布 幻灯片的Java组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Aspose.Slides for Java 是一个用来操作PowerPoint幻灯片的Java组件.其特性是不需要安装PowerPoint,支持导出到PDF格式,嵌入音频和视频链接,幻灯片克隆,缩略图生成,演示功能,能够从演示文稿中提取文本的功能. Aspose.Slides for Java 2.8.2该版本主要是维护和更稳定的发布.此修补程序确保Java Aspose.Slides的演示生成,可以在PowerPoint 2007 SP3打开.多个幻灯片呈现的问题已得到修复,这个版本增加了对			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmDOlM.html" rel="bookmark" class="title">C&plus;&plus;与C&num;混合生成&period;NET程序</a>
					<div>
						c++|程序 本文提供了一个方法,让C++源码和C#源码一起编译链接成一个单一的Assembly. 由于C++提供了IJW方法,允许将旧有C++代码也编译成托管代码,因此这篇小文可以用极小的工作量来彻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQGZQp.html" rel="bookmark" class="title">getURL函数的使用方法指南</a>
					<div>
						函数 既然是网络动画,那么FLASH动画与&quot;超级链接&quot;的联系是必不可少的了,下面我们对FLASH中一个常用且非常重要的一个ACTION函数getURL( )做一个总结. 首先get ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdkB4M.html" rel="bookmark" class="title">浅谈网站的内部链接应该怎么做</a>
					<div>
						网站的内部链接是SEO中非常重要的一环,对于网站来说,早期可能是&quot;外链为王&quot;,但到了中后期就是内链的天下了.外链能给首页的主关键词带来排名,而内链能给千千万万的长尾词带来排名和流量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kYgrz.html" rel="bookmark" class="title">隔离公司各个部门：虚拟路由器&lpar;RIP&rpar;</a>
					<div>
						实验拓扑: R1配置: ip vrf retail rd 100:100 route-target export 100:100 route-target import 100:100 ! ip vr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj78OdM.html" rel="bookmark" class="title">Maya利用动力学作牛顿单摆</a>
					<div>
						这是一个非常有意思的小动画,很简单的.跟我一步一步的做吧. 1.创建一个架子,如图. 2.创建一个nurbs球,并移动它. 3.在side视图中利用X键来创建两条EP曲线. 4.创建一个circle, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6PEEz.html" rel="bookmark" class="title">详解linux的文件系统管理</a>
					<div>
						&lt;1&gt; 文件系统构成 首先,学习文献系统管理,得先知道文件系统的大概构造! ①   /usr/bin ,/bin 存放所有用户可以执行的命令. ②   /usr/sbin,/sbin 存放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kO4rz.html" rel="bookmark" class="title">PPt课件结束后怎么制作漂亮的结束语作为尾页&quest;</a>
					<div>
						  当今社会,讲课.毕业或者企业论文的发布.成果发布.演讲等等许多场合都需要用到PowerPoint软件制作演示文稿,演示文稿制作的好坏直接影响到演示效果,一篇精心制作的文稿,不会放过任何一个细节的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw0JPz.html" rel="bookmark" class="title">win7系统硬盘如何重新建立扩展分区&quest;</a>
					<div>
						  很多小伙伴们打开磁盘管理时,发现磁盘上多了个&quot;未分配&quot;或&quot;可用空间&quot;.但是打开我的电脑查看时却没有这样的盘.那到底是什么原因引起的呢?其实这都是小伙伴们分盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGPXEp.html" rel="bookmark" class="title">如何把为pe增加7z右键功能</a>
					<div>
						  著名的压缩软件7-Zip是一款GNU/LPGL协议下分发的免费软件,可以说是目前最有希望成为zip.rar之后的下一个主流压缩格式的文件压缩格式了.下面我们就来看看如何把为pe增加7z右键功能,当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa0WQM.html" rel="bookmark" class="title">如何在电脑上安装安卓模拟器</a>
					<div>
						  这个方法目前可以模拟android1.5-3.0系统,从各种安卓系统的手机,到安卓系统的平板电脑都可以模拟,而且可以安装所有安卓程序,可以上网.登QQ.听音乐等等.跟在手机和平板电脑上的操作和功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywAYJz.html" rel="bookmark" class="title">内存错误怎么解决</a>
					<div>
						  内存不能为read/written 问题的简单解决办法: 一.硬件的可能性是比较小的,如果是硬件,那就应该是内存条跟主机不兼容的问题导致的 如果能排除硬件上的原因(内存条不兼容,更换内存.内存条松 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24OGrp.html" rel="bookmark" class="title">IDC机房建设的关键技术有哪些？</a>
					<div>
						[导读]如果IDC机房的设计.建设与运维管理不符合相关规范要求,则容易产生危害物质,腐蚀电子设备甚至威胁到设备的正常运行. IDC(Internet Data Center)数据机房是专为众多客户提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWqOOp.html" rel="bookmark" class="title">Socket 错误一览表，Socket Error Code</a>
					<div>
						最近程序 出现 几次 Socket 错误, 为了便于 差错.. 搜了一些 贴在这里.. 出现网络联机错误Socket error #11001  表示您的计算机无法连上服务器,请检查您的Proxy设定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3eRZz.html" rel="bookmark" class="title">cocos2d-x-关于编译cocos2dx中的cpp生成so</a>
					<div>
						问题描述 关于编译cocos2dx中的cpp生成so 下载了cocos2dxv3.1的然后要把几个cpp文件编译成so库 怎么在命令行中编译啊 第一次生成so 不知道该怎么写 需要哪些文件 知道的麻烦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJko1qb.html" rel="bookmark" class="title">context-为什么要用getBaseContext&lpar;&rpar;方法代替this</a>
					<div>
						问题描述 为什么要用getBaseContext()方法代替this this 常常引用当前的 context.但是有些时候,必须使用getBaseContext()来代替this.就是说使用this ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAOOkM.html" rel="bookmark" class="title">calendar中set方法和静态属性带来的坑</a>
					<div>
						坑在哪里: 在我之前接触的一个项目中涉及到这么一项功能:每天00:00:00把某些数据移动到mongodb数据库的另一个集合中,也就是关系型数据库的表中.这个集合名是一个固定的名称加上当前的两个月前的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NBKnz.html" rel="bookmark" class="title">chrome-selenium与浏览器版本兼容问题</a>
					<div>
						问题描述 selenium与浏览器版本兼容问题 请问 selenium2.52分别支持哪个版本的firefox, chrome, IE?各位有了解的么? 解决方案 浏览器兼容问题关于浏览器兼容问题浏览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKOKKz.html" rel="bookmark" class="title">奇怪的运行外部程序问题</a>
					<div>
						问题描述 BlueSoleil.exe是一个IVTBlueSoleil蓝牙程序我用.net的System.Diagnostics.Process.Start(&quot;C:ProgramFilesI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rkBkz.html" rel="bookmark" class="title">java内存管理（堆、栈、方法区）</a>
					<div>
						java内存管理 简介 首先我们要了解我们为什么要学习java虚拟机的内存管理,不是java的gc垃圾回收机制都帮我们释放了内存了吗?但是在写程序的过程中却也往往因为不懂内存管理而造成了一些不容易察觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAP7vp.html" rel="bookmark" class="title">ajax与数据库交互时 session丢失了怎么办</a>
					<div>
						问题描述 ajax与数据库交互时 session丢失了怎么办 问题补充:session中保存用户登录信息 解决方案 你的意思是session失效吧? 普通的交互失效后会有相应处理.如果ajax调用失效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKadDb.html" rel="bookmark" class="title">实用的新手seo接单方式</a>
					<div>
						摘要: 对于新手seo来说,如果是自己做独立sohu的话,怎样接到seo单是一个比较重要的学问.在这里墨明棋妙总结了一些实用的新手seo接单方式来帮助新手seo有活可干. 1.地方seo关键词优化法  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqgB8p.html" rel="bookmark" class="title">eclipse打不开</a>
					<div>
						问题描述 安装路径没有错误,百度上找了好久,都没有,求帮助 问题补充:qq1988627 写道 解决方案 引用我重新装过jdk1.6.0_13,jdk1.7.0,jdk1.7.0-ea三个不同的版本, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWJXGz.html" rel="bookmark" class="title">Android ExpandableListView长按事件的完美解决办法&lowbar;Android</a>
					<div>
						关于ExpandableListView长按事件处理,网上很多都是使用将上下文菜单注册到ExpandableListView上实现长按事件. 这样做弊端显而易见,不够灵活,不能分别对父项.子项.父项之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2V9Oz.html" rel="bookmark" class="title">jekyll 报错 File to import not found or unreadable</a>
					<div>
						问题描述 jekyll 报错 File to import not found or unreadable 按照http://www.jianshu.com/p/8f843034c7ec#?ref=m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWldkz.html" rel="bookmark" class="title">js 操作select</a>
					<div>
						问题描述 有两个select a 和ba 的值 是从后台读出的 结果集list来填充的 ,设置可以多选b 是获取 是获取a选中的值,b中不能出现重复的值,谢谢 ,各位 解决方案 &lt;html&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1PxGb.html" rel="bookmark" class="title">C&num; 接口 反射 奇怪的问题</a>
					<div>
						问题描述 C# 接口 反射 奇怪的问题 1.定义一个接口,用于获取用户的功能点.因为有些项目中甲方有自己的权限平台,所以这里反接口开放出来. public interface IUserFuns {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7mj5p.html" rel="bookmark" class="title">学好SEM必须要明白的三个问题</a>
					<div>
						这是以前在听站长之声的时候吴伟定说他招聘semer问的三个问题(不知道吴伟定的可以去百度一下).这三个问题这是这样的:sem是什么?sem实现的事情是什么? 实现SEM遇见的最大的困难是什么?先不要看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrv1xjM.html" rel="bookmark" class="title">中国电子商务向行业的渗透更加深入</a>
					<div>
						第三季度最新研究报告显示:中国电子商务向行业的渗透更加深入,B2C市场将在2009年呈现明显的扩大趋势,C2C企业开始涉足代表网购未来趋势的B2C业务.电子商务&quot;融合时代&quot;即将到来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoD90M.html" rel="bookmark" class="title">C&num;的字符串如何输出&bsol;&amp;amp&semi;amp&semi;quot&semi;。例如：有一个字符串&lpar;i am a &bsol;&amp;amp&semi;amp&semi;quot&semi; student&rpar;如何在C&num;中输出？</a>
					<div>
						问题描述 如题 解决方案 解决方案二:strings=&quot;iama\&quot;student&quot;;解决方案三:stringstr=&quot;(iama\&quot;student) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1W42M.html" rel="bookmark" class="title">微信公众平台消息接口开发（40）语音识别</a>
					<div>
						微信公众平台开发模式 微信 语音识别 公众平台 消息接口 语音识别   微信公众平台开发 语音识别 作者:方倍工作室 地址:http://www.cnblogs.com/txw1958/archive ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
